
#ifndef LIRIQTSHELLINTEGRATION_EXPORT_H
#define LIRIQTSHELLINTEGRATION_EXPORT_H

#ifdef LIRIQTSHELLINTEGRATION_STATIC_DEFINE
#  define LIRIQTSHELLINTEGRATION_EXPORT
#  define LIRIQTSHELLINTEGRATION_NO_EXPORT
#else
#  ifndef LIRIQTSHELLINTEGRATION_EXPORT
#    ifdef LIRI_BUILD_QTSHELLINTEGRATION_LIB
        /* We are building this library */
#      define LIRIQTSHELLINTEGRATION_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define LIRIQTSHELLINTEGRATION_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef LIRIQTSHELLINTEGRATION_NO_EXPORT
#    define LIRIQTSHELLINTEGRATION_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef LIRIQTSHELLINTEGRATION_DECL_DEPRECATED
#  define LIRIQTSHELLINTEGRATION_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef LIRIQTSHELLINTEGRATION_DECL_DEPRECATED_EXPORT
#  define LIRIQTSHELLINTEGRATION_DECL_DEPRECATED_EXPORT LIRIQTSHELLINTEGRATION_EXPORT LIRIQTSHELLINTEGRATION_DECL_DEPRECATED
#endif

#ifndef LIRIQTSHELLINTEGRATION_DECL_DEPRECATED_NO_EXPORT
#  define LIRIQTSHELLINTEGRATION_DECL_DEPRECATED_NO_EXPORT LIRIQTSHELLINTEGRATION_NO_EXPORT LIRIQTSHELLINTEGRATION_DECL_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef LIRIQTSHELLINTEGRATION_NO_DEPRECATED
#    define LIRIQTSHELLINTEGRATION_NO_DEPRECATED
#  endif
#endif

#define LIRIQTSHELLINTEGRATION_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

#if defined(LIRIQTSHELLINTEGRATION_NO_DEPRECATED)
#  undef LIRIQTSHELLINTEGRATION_DEPRECATED
#  define LIRIQTSHELLINTEGRATION_DEPRECATED_EXPORT LIRIQTSHELLINTEGRATION_EXPORT
#  define LIRIQTSHELLINTEGRATION_DEPRECATED_NO_EXPORT LIRIQTSHELLINTEGRATION_NO_EXPORT
#elif defined(LIRIQTSHELLINTEGRATION_NO_DEPRECATED_WARNINGS)
#  define LIRIQTSHELLINTEGRATION_DEPRECATED
#  define LIRIQTSHELLINTEGRATION_DEPRECATED_EXPORT LIRIQTSHELLINTEGRATION_EXPORT
#  define LIRIQTSHELLINTEGRATION_DEPRECATED_NO_EXPORT LIRIQTSHELLINTEGRATION_NO_EXPORT
#else
#  define LIRIQTSHELLINTEGRATION_DEPRECATED LIRIQTSHELLINTEGRATION_DECL_DEPRECATED
#  define LIRIQTSHELLINTEGRATION_DEPRECATED_EXPORT LIRIQTSHELLINTEGRATION_DECL_DEPRECATED_EXPORT
#  define LIRIQTSHELLINTEGRATION_DEPRECATED_NO_EXPORT LIRIQTSHELLINTEGRATION_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define LIRIQTSHELLINTEGRATION_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define LIRIQTSHELLINTEGRATION_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef LIRIQTSHELLINTEGRATION_NO_DEPRECATED
#  define LIRIQTSHELLINTEGRATION_DISABLE_DEPRECATED_BEFORE_AND_AT 0x0
#endif
#ifdef LIRIQTSHELLINTEGRATION_NO_DEPRECATED_WARNINGS
#  define LIRIQTSHELLINTEGRATION_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef LIRIQTSHELLINTEGRATION_DEPRECATED_WARNINGS_SINCE
#  ifdef LIRIQTSHELLINTEGRATION_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define LIRIQTSHELLINTEGRATION_DEPRECATED_WARNINGS_SINCE LIRIQTSHELLINTEGRATION_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define LIRIQTSHELLINTEGRATION_DEPRECATED_WARNINGS_SINCE 0x0
#  endif
#endif

#ifndef LIRIQTSHELLINTEGRATION_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define LIRIQTSHELLINTEGRATION_DISABLE_DEPRECATED_BEFORE_AND_AT 0x0
#endif

#ifdef LIRIQTSHELLINTEGRATION_DEPRECATED
#  define LIRIQTSHELLINTEGRATION_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > LIRIQTSHELLINTEGRATION_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define LIRIQTSHELLINTEGRATION_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif


#endif /* LIRIQTSHELLINTEGRATION_EXPORT_H */
